cURL
curl --request POST \
--url https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyCancel a scheduled change
Cancel a plan or add-on change scheduled for period end. Console only.
POST
/
api
/
v1
/
auth
/
billing
/
change
/
cancel-scheduled
cURL
curl --request POST \
--url https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rigbox.dev/api/v1/auth/billing/change/cancel-scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyConsole only. This operation needs a signed-in console session; an API key or CLI login gets
404. Use Billing in the console. See pricing and billing.409. Cancelling does not resize, start, move, or restart a workspace.
Account billing requires an authenticated account identity with appropriate billing permissions. Workspace bridge identity is not an account billing credential. See managed wallet for the financial contract.